Skip to content

Pause multiple targets or RTB formulas

POST
/api/v1/pause
curl --request POST \
--url https://external-api.moja-ai.com/api/v1/pause \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "duration_minutes": 1, "paused_until": "2026-04-15T12:00:00Z", "unlimited": false, "items": [ { "type": "target", "id": "example" } ] }'
X-API-Key
Any of:
string
Media typeapplication/json
BulkPauseRequest
object
duration_minutes
Any of:
integer
>= 1 <= 43200
paused_until
Any of:
string format: date-time
unlimited
Unlimited
boolean
items
required
Items
Array<object>
>= 1 items
PauseItemRef
object
type
required
Type
string
Allowed values: target rtb
id
required
Id
string
>= 1 characters

Successful Response

Media typeapplication/json
BulkPauseResponse
object
data
required
Data
Array<object>
BulkPauseResultItem
object
type
required
Type
string
Allowed values: target rtb
id
required
Id
string
paused_until
required
Paused Until
string format: date-time
Example
{
"data": [
{
"type": "target"
}
]
}

Bad Request

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Unauthorized

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Not Found

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Conflict

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}

Too Many Requests

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}